<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc -->
<title>Index (app API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (app API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="philosophers/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/Waiter.html#accessToFork()">accessToFork()</a></span> - Method in class philosophers.<a href="philosophers/Waiter.html" title="class in philosophers">Waiter</a></dt>
<dd>
<div class="block">метод accessToFork
 запрашивает разрешение на использование вилок</div>
</dd>
</dl>
<a id="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/PhilosopherStatus.html#EAT">EAT</a></span> - philosophers.<a href="philosophers/PhilosopherStatus.html" title="enum in philosophers">PhilosopherStatus</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><a href="philosophers/Fork.html" title="class in philosophers"><span class="typeNameLink">Fork</span></a> - Class in <a href="philosophers/package-summary.html">philosophers</a></dt>
<dd>
<div class="block">класс Fork</div>
</dd>
<dt><span class="memberNameLink"><a href="philosophers/Fork.html#%3Cinit%3E()">Fork()</a></span> - Constructor for class philosophers.<a href="philosophers/Fork.html" title="class in philosophers">Fork</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="philosophers/Waiter.html#forks">forks</a></span> - Variable in class philosophers.<a href="philosophers/Waiter.html" title="class in philosophers">Waiter</a></dt>
<dd>
<div class="block">семафор для использования вилок</div>
</dd>
</dl>
<a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/Waiter.html#giveFork()">giveFork()</a></span> - Method in class philosophers.<a href="philosophers/Waiter.html" title="class in philosophers">Waiter</a></dt>
<dd>
<div class="block">метод giveFork
 кладет вилки обратно на стол</div>
</dd>
</dl>
<a id="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/Fork.html#isAvailable()">isAvailable()</a></span> - Method in class philosophers.<a href="philosophers/Fork.html" title="class in philosophers">Fork</a></dt>
<dd>
<div class="block">метод isAvailable
 метод для проверки, свободна ли вилка</div>
</dd>
</dl>
<a id="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/Philosopher.html#leftFork">leftFork</a></span> - Variable in class philosophers.<a href="philosophers/Philosopher.html" title="class in philosophers">Philosopher</a></dt>
<dd>
<div class="block">левая вилка</div>
</dd>
</dl>
<a id="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/Main.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class philosophers.<a href="philosophers/Main.html" title="class in philosophers">Main</a></dt>
<dd>&nbsp;</dd>
<dt><a href="philosophers/Main.html" title="class in philosophers"><span class="typeNameLink">Main</span></a> - Class in <a href="philosophers/package-summary.html">philosophers</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="philosophers/Main.html#%3Cinit%3E()">Main()</a></span> - Constructor for class philosophers.<a href="philosophers/Main.html" title="class in philosophers">Main</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/Philosopher.html#name">name</a></span> - Variable in class philosophers.<a href="philosophers/Philosopher.html" title="class in philosophers">Philosopher</a></dt>
<dd>
<div class="block">имя философа</div>
</dd>
</dl>
<a id="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><a href="philosophers/Philosopher.html" title="class in philosophers"><span class="typeNameLink">Philosopher</span></a> - Class in <a href="philosophers/package-summary.html">philosophers</a></dt>
<dd>
<div class="block">класс Philosopher, использующий интерфейс Runnable</div>
</dd>
<dt><a href="philosophers/package-summary.html">philosophers</a> - package philosophers</dt>
<dd>&nbsp;</dd>
<dt><a href="philosophers/PhilosopherStatus.html" title="enum in philosophers"><span class="typeNameLink">PhilosopherStatus</span></a> - Enum in <a href="philosophers/package-summary.html">philosophers</a></dt>
<dd>
<div class="block">enum класс PhilosopherStatus</div>
</dd>
<dt><span class="memberNameLink"><a href="philosophers/Fork.html#putFork()">putFork()</a></span> - Method in class philosophers.<a href="philosophers/Fork.html" title="class in philosophers">Fork</a></dt>
<dd>
<div class="block">метод putFork
 метод, чтобы положить вилку</div>
</dd>
</dl>
<a id="I:R">
<!--   -->
</a>
<h2 class="title">R</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/Philosopher.html#rightFork">rightFork</a></span> - Variable in class philosophers.<a href="philosophers/Philosopher.html" title="class in philosophers">Philosopher</a></dt>
<dd>
<div class="block">правая вилка</div>
</dd>
<dt><span class="memberNameLink"><a href="philosophers/Philosopher.html#run()">run()</a></span> - Method in class philosophers.<a href="philosophers/Philosopher.html" title="class in philosophers">Philosopher</a></dt>
<dd>
<div class="block">метод run
 метод, который запускает поток</div>
</dd>
</dl>
<a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/Philosopher.html#status">status</a></span> - Variable in class philosophers.<a href="philosophers/Philosopher.html" title="class in philosophers">Philosopher</a></dt>
<dd>
<div class="block">статус философа</div>
</dd>
</dl>
<a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/Fork.html#takeFork()">takeFork()</a></span> - Method in class philosophers.<a href="philosophers/Fork.html" title="class in philosophers">Fork</a></dt>
<dd>
<div class="block">метод takeFork
 метод, чтобы взять вилку</div>
</dd>
<dt><span class="memberNameLink"><a href="philosophers/PhilosopherStatus.html#THINK">THINK</a></span> - philosophers.<a href="philosophers/PhilosopherStatus.html" title="enum in philosophers">PhilosopherStatus</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/PhilosopherStatus.html#valueOf(java.lang.String)">valueOf(String)</a></span> - Static method in enum philosophers.<a href="philosophers/PhilosopherStatus.html" title="enum in philosophers">PhilosopherStatus</a></dt>
<dd>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="philosophers/PhilosopherStatus.html#values()">values()</a></span> - Static method in enum philosophers.<a href="philosophers/PhilosopherStatus.html" title="enum in philosophers">PhilosopherStatus</a></dt>
<dd>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</dd>
</dl>
<a id="I:W">
<!--   -->
</a>
<h2 class="title">W</h2>
<dl>
<dt><span class="memberNameLink"><a href="philosophers/Philosopher.html#waiter">waiter</a></span> - Variable in class philosophers.<a href="philosophers/Philosopher.html" title="class in philosophers">Philosopher</a></dt>
<dd>
<div class="block">официант, обслуживающий стол</div>
</dd>
<dt><a href="philosophers/Waiter.html" title="class in philosophers"><span class="typeNameLink">Waiter</span></a> - Class in <a href="philosophers/package-summary.html">philosophers</a></dt>
<dd>
<div class="block">класс Waiter</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:R">R</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a href="#I:W">W</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="philosophers/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
